# build/pkgs/sage_conf/src/sage_conf.py.  Generated from sage_conf.py.in by configure.

VERSION = "9.2"

MAXIMA = "maxima-sage"

ARB_LIBRARY = "flint-arb"

SAGE_NAUTY_BINS_PREFIX = "nauty-"

# Used in sage.repl.ipython_kernel.install
JSMOL_DIR   = "/build/sagemath-JEqoB2/sagemath-9.2/sage/local/share/jsmol"
MATHJAX_DIR = "/usr/share/javascript/mathjax"
THREEJS_DIR = "/usr/share/javascript/three"

# The following must not be used during build to determine source or installation
# location of sagelib.  See comments in SAGE_ROOT/src/Makefile.in
SAGE_LOCAL = "/build/sagemath-JEqoB2/sagemath-9.2/sage/local"
SAGE_ROOT = "/build/sagemath-JEqoB2/sagemath-9.2/sage"

# Entry point 'sage-config'.  It does not depend on any packages.

def _main():
    from argparse import ArgumentParser
    from sys import exit, stdout
    parser = ArgumentParser()
    parser.add_argument('--version', help="show version", action="version",
                       version='%(prog)s ' + VERSION)
    parser.add_argument("VARIABLE", nargs='?', help="output the value of VARIABLE")
    args = parser.parse_args()
    d = globals()
    if args.VARIABLE:
        stdout.write('{}\n'.format(d[args.VARIABLE]))
    else:
        for k, v in d.items():
            if not k.startswith('_'):
                stdout.write('{}={}\n'.format(k, v))

if __name__ == "__main__":
    _main()
